Historical contract: Find Business Review
Historical API contract. This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.
Historical meaning
Find Business Review
This API endpoint is used to obtain a specific review from a business.
Current API
For new integrations, use the linked current API reference or guide.
View the current API referenceParameters
[
{
"name": "language",
"in": "path",
"schema": {
"type": "string",
"default": "en"
},
"required": true
},
{
"name": "project",
"in": "path",
"schema": {
"type": "string",
"default": "<redacted-personal>"
},
"required": true
},
{
"name": "business_id",
"in": "path",
"schema": {
"type": "integer",
"format": "int32"
},
"required": true
},
{
"name": "review_id",
"in": "path",
"schema": {
"type": "integer",
"format": "int32"
},
"required": true
},
{
"name": "params",
"in": "query",
"schema": {
"type": "string"
}
},
{
"name": "api_version",
"in": "path",
"schema": {
"type": "string",
"default": "v400"
},
"required": true
}
]
Request body
null
Responses
{
"200": {
"description": "200",
"content": {
"application/json": {
"examples": {
"Result": {
"value": "{\n \"error\": false,\n \"result\": {\n \"id\": 1,\n \"order_id\": 0,\n \"quality\": 4,\n \"delivery\": 4,\n \"service\": 4,\n \"package\": 5,\n \"user_id\": 0,\n \"comment\": \"Amazing!\",\n \"enabled\": true\n }\n}"
}
},
"schema": {
"type": "object",
"properties": {
"error": {
"type": "boolean",
"example": false,
"default": true
},
"result": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"example": 1,
"default": 0
},
"order_id": {
"type": "integer",
"example": 0,
"default": 0
},
"quality": {
"type": "integer",
"example": 4,
"default": 0
},
"delivery": {
"type": "integer",
"example": 4,
"default": 0
},
"service": {
"type": "integer",
"example": 4,
"default": 0
},
"package": {
"type": "integer",
"example": 5,
"default": 0
},
"user_id": {
"type": "integer",
"example": 0,
"default": 0
},
"comment": {
"type": "string",
"example": "Amazing!"
},
"enabled": {
"type": "boolean",
"example": true,
"default": true
}
}
}
}
}
}
}
},
"400": {
"description": "400",
"content": {
"application/json": {
"examples": {
"Result": {
"value": "{\n \"error\": true,\n \"result\": [\n \"The review does not exist.\"\n ]\n}"
}
},
"schema": {
"type": "object",
"properties": {
"error": {
"type": "boolean",
"example": true,
"default": true
},
"result": {
"type": "array",
"items": {
"type": "string",
"example": "The review does not exist."
}
}
}
}
}
}
},
"401": {
"description": "401",
"content": {
"application/json": {
"examples": {
"Result": {
"value": ""
}
}
}
}
}
}